Unit tidb8r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IDB8R_p;

function tidb8r: String;

implementation

function tidb8r: String;
var
M,N,I,J,_i :Integer;
R :Real;
X1A :Array [0..4] of Real;
X2A :Array [0..3] of Real;
YA :Array [0..19] of Real;
Y2A :Array [0..19] of Real;
YT :Array [0..3] of Real;
Y2T :Array [0..3] of Real;
RAB :Array [0..3] of Real;
Y2AT :Array [0..19] of Real;
YP1 :Array [0..4] of Real;
YPN :Array [0..4] of Real;
label
_1,_2,_3,_4;
begin
Result := '';  {   }
M := 5;
N := 4;
R := 0.0;
for I:=1 to M do
 begin
  X1A[I-1] := R;
_1:
  R := R+0.1;
 end;
R := 0.0;
for I:=1 to N do
 begin
  X2A[I-1] := R;
_2:
  R := R+0.1;
 end;
for I:=1 to M do
 begin
  YP1[I-1] := Sin(X1A[I-1])*Cos(X2A[0]);
_3:
  YPN[I-1] := Sin(X1A[I-1])*Cos(X2A[N-1]);
 end;
for I:=1 to M do
 begin
  for J:=1 to N do
   begin
    YA[(I-1)+(J-1)*5] := Sin(X1A[I-1])*Sin(X2A[J-1]);
_4:
    Y2AT[(I-1)+(J-1)*5] := -YA[(I-1)+(J-1)*5];
   end;
 end;
IDB8R(X1A,X2A,YA,M,N,YP1,YPN,Y2A,YT,Y2T,RAB);
Result := Result + #$0D#$0A;
for _i:=0 to 19 do
 begin
  Result := Result + Format('%20.16f ',[Y2A[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 19 do
 begin
  Result := Result + Format('%20.16f ',[Y2AT[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tidb8r',Result);  {     tidb8r.res }
exit;
end;

end.
